{% extends 'base.html' %}

{% block title %}
{{ config.title }} | {{ section.title }}
{% endblock title %}

{% block content %}
<section class="section">
  <div class="container">
    <div class="has-text-centered">
      <h1 class="title is-2">{{ section.title }}</h1>
      <p class="subtitle is-4">{{ section.description }}</p>
    </div>
    <div class="content">
      {{ section.content | safe }}
    </div>
    <div class="columns is-centered">
      <div class="column is-9">
        {% if paginator %}
        {% set pages = paginator.pages %}
        {% else %}
        {% set pages = section.pages %}
        {% endif %}

        {% for page in pages %}
        <article class="box">
	  <div>
	    {% if page.extra.blogimage %}
	    <a href="/posts/{{ page.slug }}">
	    	<img class="column is-full" 
	    	src="{{ page.extra.blogimage }}">
	    </a>
            {% endif %}
	  </div>
          <h2 class="title">
            <a class="has-text-dark" href='/posts/{{ page.slug }}'>
              {{ page.title }}
            </a>
          </h2>
          <p class="subtitle">{{ page.description }}</p>
          <div class="columns is-multiline is-gapless">
            <div class="column is-8">
              {{ macros::page_publish_metadata(page=page) }}
            </div>
            <div class="column is-4 has-text-right-desktop">
              {{ macros::page_content_metadata(page=page) }}
            </div>
          </div>
          <div class="content mt-2">
            {{ page.summary | safe }}
            <a class="has-text-danger-dark has-text-weight-semibold" href='/posts/{{ page.slug }}'>
              Read More
              <span class="icon is-small">
                <i class="fas fa-arrow-right fa-xs"></i>
              </span>
            </a>
          </div>
          <div class="columns">
            <div class="column">
              {% if page.taxonomies.categories %}
              {{ macros::render_categories(categories=page.taxonomies.categories) }}
              {% endif %}
            </div>
            <div class="column has-text-right-desktop">
              {% if page.taxonomies.tags %}
              {{ macros::render_tags(tags=page.taxonomies.tags) }}
              {% endif %}
            </div>
          </div>
        </article>
        {% endfor %}
      </div>
    </div>
  </div>
</section>
{% endblock %}
